Subject: Re: [PATCH 0/9] powerpc: Add kernel support for POWER7 VSX.

From: Michael Neuling <[email-masked]>
Date: Thu, 19 Jun 2008 09:54:18 +1000

> On Jun 17, 2008, at 7:47 PM, Michael Neuling wrote:
> 
> > The following set of patches adds Vector Scalar Extentions (VSX)
> > support for POWER7.  Includes context switch, ptrace and signals  
> > support.
> >
> > Signed-off-by: Michael Neuling <[email-masked]>
> > ---
> > This series is on top of the POWER7 cputable entry patch.
> >
> > Paulus: please consider for your 2.6.27 tree.
> 
> I bit better explanation of what VSX would be useful.  Its not clear  
> to me exactly how these instructions behave such that we have to touch  
> all this code.

There is a register layout description which it looks like you found at
the top of patch 5.

Mikey